unit Oblong.Design.Register;

interface

procedure Register;

implementation

uses
  Classes,
  Borland.Vcl.Design.DesignIntf, Borland.Vcl.Design.DesignEditors,
  Oblong.Temperature, Oblong.Button, Oblong.RightEdit, Oblong.ShadingLabel,
  Oblong.Design.HelpFileProperty, Oblong.Design.KelvinProperty;

{$R 'Oblong.Temperature.TTemperature.bmp'}

procedure Register;
begin
  RegisterComponents('Samples',
    [TTemperature, TMultiLineButton, TRightEdit, TShadingLabel]);
  RegisterPropertyInCategory('Temperature', 'Celsius');
  RegisterPropertyInCategory('Temperature', 'Centigrade');
  RegisterPropertyInCategory('Temperature', 'Delisle');
  RegisterPropertyInCategory('Temperature', 'Fahrenheit');
  RegisterPropertyInCategory('Temperature', 'kelvin');
  RegisterPropertyInCategory('Temperature', 'Newton');
  RegisterPropertyInCategory('Temperature', 'Rankine');
  RegisterPropertyInCategory('Temperature', 'Reaumur');
  RegisterPropertyInCategory('Temperature', 'Romer');
  RegisterPropertyInCategory('Miscellaneous', 'MultiLine');
  RegisterPropertyEditor(
    TypeInfo(String), TComponent, 'HelpFile', THelpFileProperty);
  RegisterPropertyEditor(
    TypeInfo(TDate), TComponent, 'Date', TDateProperty);
  RegisterPropertyEditor(
    TypeInfo(Double), TTemperature, 'kelvin', TKelvinProperty);
end;

end.
